Support

Frequently Asked Questions

Does Snapz Pro X support Tiger 10.4, Leopard 10.5, or Snow Leopard 10.6?

Last Updated Jan 2, 2013

Support for Mac OS X Tiger (10.4), Leopard (10.5) and Snow Leopard (10.6) was dropped with the release of Snapz Pro X 2.5. This was necessary in order to move the product forward and take advantage of modern APIs.

Was This Answer Helpful?

Not The Right Answer?

Copyright © 2013 Ambrosia Software, Inc. | All rights reserved worldwide. | Privacy Policy | Site Map | My Ambrosia Account